=head1 NAME

Gtk2::Stock

=head1 Gtk2::StockItem

When a Gtk2::StockItem is returned from a function or required as a parameter a
hash reference with the following key/value pairs will be required/returned.

  {
      stock_id => (string),
      label => (string),
      modifier => (Gtk2::Gdk::ModifierType),
      keyval => (integer),
      translation_domain => (string),
  }

=cut

=for include build/stock_items.podi
=cut




=head1 METHODS

=head2 Gtk2::Stock-E<gt>B<add> (...)

=over

=over

=item * ... (list) of Gtk2::StockItem's to be added

=back



=back

=head2 list = Gtk2::Stock-E<gt>B<list_ids> 

=over

Returns a list of strings, the stock-ids.

=back

=head2 scalar = Gtk2::Stock-E<gt>B<lookup> ($stock_id)

=over

=over

=item * $stock_id (string) 

=back

Returns a hash reference, a L<Gtk2::StockItem>.

=back

=head2 Gtk2::Stock-E<gt>B<set_translate_func> ($domain, $func, $data=undef)

=over

=over

=item * $domain (string) 

=item * $func (scalar) 

=item * $data (scalar) 

=back

Since: gtk+ 2.8

=back


=head1 SEE ALSO

L<Gtk2>

=head1 COPYRIGHT

Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

